#ifndef KTABLEMODEL_H
#define KTABLEMODEL_H

#include <QStandardItemModel>
namespace kdk {

/**
 * @brief 重置标题
 * @since 2.5
 */
class KTableModelPrivate;

class KTableModel : public QStandardItemModel
{
    Q_OBJECT
public:
    explicit KTableModel(QObject *parent = nullptr);

protected:
    QVariant headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const override;

private:
    Q_DECLARE_PRIVATE(KTableModel)
    KTableModelPrivate *const d_ptr;
};
}
#endif // KTABLEMODEL_H
